﻿using System.Diagnostics.CodeAnalysis;
using System.Resources;
using System.Windows;

// Note: There should be 5 code analysis warnings.

namespace WpfApplication
{
    public partial class MainWindow : Window
    {
        private readonly string _directlyReferenced;

        [SuppressMessage("Performance", "DF1002:UncalledMethodsShouldBeRemoved", Justification = "Instantiated by WPF.")]
        public MainWindow()
        {
            InitializeComponent();
            var resourceManager = new ResourceManager("WpfApplication.Properties.Resources", typeof(MainWindow).Assembly);
            _directlyReferenced = resourceManager.GetString("DirectlyReferenced");
            Properties.Resources.UsedImage.Dispose();
            Properties.Resources.UsedAudio.Dispose();
            Properties.Resources.UsedStream.Clone();
        }

        [SuppressMessage("Performance", "DF1002:UncalledMethodsShouldBeRemoved", Justification = "Referenced by a Binding in XAML.")]
        public static string ResourcesTitle
        {
            get { return Properties.Resources.Title; }
        }

        [SuppressMessage("Performance", "DF1002:UncalledMethodsShouldBeRemoved", Justification = "Referenced by a Binding in XAML.")]
        public static string ResourcesCorrectSpelling
        {
            get { return Properties.Resources.CorrectSpelling; }
        }

        [SuppressMessage("Performance", "DF1002:UncalledMethodsShouldBeRemoved", Justification = "Referenced by a Binding in XAML.")]
        public static string ResourcesIncorrectSpelling
        {
            get { return Properties.Resources.IncorrectSpelling; }
        }

        [SuppressMessage("Performance", "DF1002:UncalledMethodsShouldBeRemoved", Justification = "Referenced by a Binding in XAML.")]
        public string DirectlyReferenced
        {
            get { return _directlyReferenced; }
        }
    }
}
